Skip to main content
`Ctrl`+`K`

# `skopt.callbacks`.VerboseCallback

class skopt.callbacks.VerboseCallback(n_total, n_init=0, n_random=0)

  Callback to control the verbosity.

  Parameters:
    n_init int, optional

      Number of points provided by the user which are yet to be evaluated. This is equal to `len(x0)` when `y0` is None

    n_random int, optional

      Number of points randomly chosen.

    n_total int

      Total number of func calls.

  Attributes:
    iter_no int

      Number of iterations of the optimization routine.

  Methods

  `__call__`(res) |

  __init__(n_total, n_init=0, n_random=0)